<?php
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/>
<body>
<div class="head">
'.$date.'-['.$user['country'].']
</div>';
$var=explode(",",$_SERVER['QUERY_STRING']);
$online = mysql_query("SELECT * FROM users WHERE authtime>'$time'");
$count=mysql_num_rows($online);
echo '
<div class="info">
Всего онлайн - <b>'.$count.'</b><br />
</div>
';

// количество записей, выводимых на странице
$per_page=10;
// получаем номер страницы
if (isset($_GET['page'])) $page=($_GET['page']-1); else $page=0;
// вычисляем первый оператор для LIMIT
$start=abs($page*$per_page);
// составляем запрос и выводим записи
// переменную $start используем, как нумератор записей.
$q="SELECT * FROM `users` WHERE authtime>'$time' ORDER BY `win` DESC LIMIT $start,$per_page";
$res=mysql_query($q);
while($row=mysql_fetch_array($res)) {


  echo $row['av'].'<a class="razd" href="profile.php?a=view&amp;uid='.$row['id'].'">';
  if ($row['clan'] != '0')
			{
			$clan_img = mysql_fetch_array(mysql_query("SELECT `img` FROM `clan` WHERE `id`='$row[clan]'"));
			if ($clan_img['img'] != '0') echo '<img src="clan_img/'.$clan_img['img'].'.png" alt=*>';
			if ($clan_img['img'] == '0') echo '';
			}
  echo $row['country'].'</a>';
}
echo '<div class="info">';
// дальше выводим ссылки на страницы:
$q="SELECT count(*) FROM `users`  WHERE authtime>'$time'";
$res=mysql_query($q);
$row=mysql_fetch_row($res);
$total_rows=$row[0];

$num_pages=ceil($total_rows/$per_page);

for($i=1;$i<=$num_pages;$i++) {
  if ($i-1 == $page) {
    echo '['.$i."] ";
  } else {
    echo '<a href="'.$_SERVER['PHP_SELF'].'?page='.$i.'">['.$i."]</a> ";
  }
}

 echo '</div>
<a class="razd" href="game.php">В игру</a>
<a class="razd" href="chat.php">В Ассамблею</a>
</div>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer"><center><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>';?>
